This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 431526 - (CVE-2008-0564) CVE-2008-0564 mailman: XSS triggerable by list administrator
CVE-2008-0564 mailman: XSS triggerable by list administrator
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendorsec,reported=20080204,pu...
: Security
Depends On: 677843 677844 677845 677846 833939
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 05:18 EST by Tomas Hoger
Modified: 2015-02-19 04:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:25:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch against mailman 2.1.9 (11.02 KB, patch)
2008-02-05 06:23 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-02-05 05:18:07 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-0564 to the following vulnerability:

Multiple cross-site scripting (XSS) vulnerabilities in Mailman before
2.1.10b1 allow remote attackers to inject arbitrary web script or HTML
via unspecified vectors related to (1) editing templates and (2) the
list's "info attribute" in the web administrator interface, a
different vulnerability than CVE-2006-3636.

References:
http://mail.python.org/pipermail/mailman-announce/2008-February/000096.html
Comment 1 Tomas Hoger 2008-02-05 06:23:13 EST
Created attachment 293989 [details]
Patch against mailman 2.1.9

Patch was provided by mailman upstream developer, Mark Sapiro.
Comment 2 Fedora Update System 2008-02-07 15:56:09 EST
mailman-2.1.9-8.2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mailman'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1334
Comment 3 Fedora Update System 2008-02-13 00:13:04 EST
mailman-2.1.9-8.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-02-13 10:10:14 EST
mailman-2.1.9-5.3 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Josh Bressers 2008-02-15 14:46:14 EST
I'm giving this issue an impact of low.  List administrators already have a
access to a set of rather sensitive data, if they cannot be trusted there are
other more serious problems that arise.
Comment 6 Josh Bressers 2008-02-18 14:06:49 EST
It should also be noted that this problem likely cannot be fixed.  The current
patch focuses on blacklisting various dangerous things, but there are always new
ways to circumvent these protections.  The only true solution is to whitelist tags.
http://archive.cert.uni-stuttgart.de/bugtraq/2006/02/msg00053.html
Comment 7 Huzaifa S. Sidhpurwala 2011-02-15 22:50:31 EST
This issue affect the versions of the mailman package, as shipped
with Red Hat Enterprise Linux 4 and 5.
Comment 10 errata-xmlrpc 2011-03-01 17:42:56 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0307 https://rhn.redhat.com/errata/RHSA-2011-0307.html
Comment 11 Vincent Danen 2015-02-17 10:25:14 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.